Bug 251147 - New port: devel/libegit2 Emacs bindings for libgit2
Summary: New port: devel/libegit2 Emacs bindings for libgit2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks: 251148
  Show dependency treegraph
 
Reported: 2020-11-15 02:01 UTC by Yasuhiro Kimura
Modified: 2021-01-13 22:34 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (5.45 KB, patch)
2020-11-15 02:01 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (5.44 KB, patch)
2020-11-16 18:02 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (6.30 KB, patch)
2020-12-26 09:51 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2020-11-15 02:01:18 UTC
Created attachment 219696 [details]
Patch file

This is an experimental module for libgit2 bindings to Emacs, intended to boost the performance of Magit (https://magit.vc/).

This is required by upcoming devel/magit-devel port.
Comment 1 Yasuhiro Kimura 2020-11-16 18:02:47 UTC
Created attachment 219739 [details]
Updated patch file

Use ninja instead of make to build libegit2.so.
New patch depends on bug #251191. So please commit it before committing this patch.
Comment 2 Yasuhiro Kimura 2020-12-26 09:51:18 UTC
Created attachment 220937 [details]
Updated patch file

Install libegit2.so to EMACS_VERSION_SITE_LISPDIR.
Comment 3 commit-hook freebsd_committer 2021-01-13 22:24:15 UTC
A commit references this bug:

Author: jrm
Date: Wed Jan 13 22:23:17 UTC 2021
New revision: 561516
URL: https://svnweb.freebsd.org/changeset/ports/561516

Log:
  New port, devel/libegit2: Emacs bindings for libgit2

  PR:		251147
  Submitted by:	Yasuhiro Kimura <yasu@utahime.org> (maintainer)

Changes:
  head/devel/Makefile
  head/devel/libegit2/
  head/devel/libegit2/Makefile
  head/devel/libegit2/distinfo
  head/devel/libegit2/files/
  head/devel/libegit2/files/patch-libgit.el
  head/devel/libegit2/files/patch-use-system-libgit2
  head/devel/libegit2/pkg-descr
  head/devel/libegit2/pkg-plist
Comment 4 Joseph Mingrone freebsd_committer 2021-01-13 22:30:51 UTC
Thanks.  Committed with a few tweaks.  Let me know if there are any problems.

- Follow 'Example 5.13. Using USE_GITHUB When Upstream Does Not Use Versions'
- Follow 'Chapter 15. Order of Variables in Port Makefiles' with the help of linters (portlint, portclippy, portfmt)
- Use cmake:noninja until bug #251191 is sorted out